server.servlet.context-path=/broadcasting-platform-backend
server.port=8082
server.context-path=/broadcasting-platform-backend
#server.ssl.key-store=classpath:starlocalhost.jks
#server.ssl.key-store-password=Sophia2016
#server.ssl.keyStoreType=JKS
#server.ssl.keyAlias=server
spring.datasource.url=jdbc:mysql://localhost:33006/MCMDB_debug?verifyServerCertificate=false&useSSL=true&autoReconnect=true&useUnicode=yes&characterEncoding=UTF-8&rewriteBatchedStatements=true&zeroDateTimeBehavior=convertToNull
#spring.datasource.url=jdbc:mysql://localhost:33006/MCMDB_dev?verifyServerCertificate=false&useSSL=true&autoReconnect=true&useUnicode=yes&characterEncoding=UTF-8&rewriteBatchedStatements=true&zeroDateTimeBehavior=convertToNull
#spring.datasource.username=sophiamysql
#spring.datasource.password=6*!.84~m%2BW
spring.datasource.username=enway_giglio
spring.datasource.password=bmhdbzu602qm

logging.level.ROOT=INFO
logging.level.org.zalando.logbook=TRACE

spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
spring.jpa.properties.hibernate.enable_lazy_load_no_trans=true
#spring.datasource.driver-class-name=com.p6spy.engine.spy.P6SpyDriver
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.testWhileIdle=true
spring.datasource.validationQuery=SELECT 1
spring.jpa.show-sql=true
#spring.jpa.hibernate.ddl-auto=update
spring.jpa.hibernate.naming-strategy=org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5Dialect
auth.jwt.clientId=sDx3jkx3bMpSY6VLmJMyVatdDDZ5yQmq
auth.jwt.secret=h0dbMbOiUr1XZTKhAlhjoZ1asTiBgVSR
auth.jwt.expires=3600
auth.jwt.header=Authorization
# JWT Auth
auth.reset.password.expiration=3000000000000
auth.reset.password.regex=^(?=.*[a-z])(?=.*[A-Z])(?=.*\\d)(?=.*[${auth.reset.password.special_chars}]).{${auth.reset.password.length},}$
auth.reset.password.length=8

#RIFERIMENTI A CRUSCOTTO UTILIZZAZIONI
backend.service.root=http://localhost:8080/cruscottoUtilizzazioni
backend.service.canali=/rest/broadcasting/canali/
backend.service.file.armonizzato=/rest/broadcastingS3/fe/utilizationfile/downloadFileArmonizato/
backend.service.send.mail=/rest/mail/send/
backend.service.monitoraggio.kpi=/rest/broadcastingKPI/fe/monitoraggio/kpi/
backend.service.news.list=/rest/broadcastingNews/listNews/
backend.service.upload.file=/rest/broadcastingS3/fe/utilizationfile/upload/
backend.service.broadcaster.file.list=/rest/broadcastingS3/fe/utilizationfile/listfilebroadcaster/
backend.service.download.file=/rest/broadcastingS3/fe/utilizationfile/download/
backend.service.download.armonizzato=/rest/broadcastingS3/fe/utilizationfile/download/armonizzato/
backend.service.broadcaster=/rest/broadcaster/
backend.service.broadcaster.config.active=/rest/broadcasterConfig/activeConfigAt/
backend.service.canale=/rest/broadcaster/canale/
backend.service.user.id=/rest/user/
backend.service.information.file=/rest/informationfile/

backend.service.confirmutilizationrecords=/rest/broadcastingS3/fe/utilizationfile/confirmutilizationrecords
backend.service.cancelutilizationrecords=/rest/broadcastingS3/fe/utilizationfile/cancelutilizationrecords

backend.service.radio.in.store=/rest/performing/radioInStore/
backend.service.radio.in.store.music.providers=/rest/performing/radioInStore/musicProviders/
backend.service.radio.in.store.palinsesti=/palinsesti/

frontend.change.password=#/login/password/change/

s3.broadcasting.bucket=siae-sophia-broadcasting
s3.broadcasting.key_prefix=dev/UPLOAD

#cloud.aws.credentials.accessKey=AKIAJMFEZ5O27UOZVEMQ
cloud.aws.credentials.accessKey=AKIARQWQBVKMJLUUKBPA
#cloud.aws.credentials.secretKey=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
cloud.aws.credentials.secretKey=uz9iD8wLxBF7w1Ds/0d/GSn+5DBBUcaqgykJQpgr
cloud.aws.credentials.instanceProfile=true
cloud.aws.stack.auto=false
cloud.aws.region.static=eu-west-1

broadcasting.title=Sophia Broadcasting
broadcasting.mail.resetpassword.from=noreply@siae.it
broadcasting.mail.name.subject.prefix=Richiesta Assistenza - ${broadcasting.title}
broadcasting.mail.name.to=giulio.zelante@alkemy.com

message.properties=message

## cambio password
broadcasting.mail.resetpassword.subject.prefix=Richiesta cambio password - ${broadcasting.title}

spring.mail.host=smtp.gmail.com
spring.mail.port=587
spring.mail.username=sophia-broadcasting@at.alkemy.com
spring.mail.password=maurizio1234
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.starttls.enable=true
spring.mail.properties.mail.smtp.starttls.required=true

spring.http.multipart.max-file-size=1024MB
spring.http.multipart.max-request-size=1024MB

mule.host=https://muletst.ws.siae.it:443/
mule.mail.path=mdaServices/mule/sendMail
mule.key_store.self_signed=true
mule.key_store.file=/etc/pki/ca-trust/source/anchors/muletstkeystore.ks
mule.key_store.alias=muletstcert
mule.key_store.password=test1234
mule.verify_hostnames=false
frontend.baseUrl=http://localhost:4200/
auth.reset.password.special_chars=$@!%*#?&\\-+_
spring.data.rest.base-path=rest
spring.jackson.date-format=YYYY-MM-dd'T'HH:mm:ss.SSS'Z'
spring.jackson.serialization.write_dates_as_timestamps=false

logging.level.org.apache.http=DEBUG
